core

Industrial strength alternative to OCaml's standard library
Description

The Core suite of libraries is an industrial strength alternative to OCaml's standard library that was developed by Jane Street, the largest industrial user of OCaml.

Install
Published
20 Sep 2019
Sources
v0.12.4.tar.gz
md5=85f006b0666f4fe05c566be8fda64cb2
Dependencies
spawn
>= "v0.12"
dune
>= "1.5.1"
sexplib
>= "v0.12" & < "v0.13"
ppx_jane
>= "v0.12" & < "v0.13"
core_kernel
>= "v0.12" & < "v0.13"
jst-config
>= "v0.12" & < "v0.13"
ocaml
>= "4.07.0" & < "4.12.0"
Reverse Dependencies
alcotest-async
>= "1.3.0" & < "1.6.0"
arakoon
>= "1.9.17"
async
= "v0.12.0"
async-uri
< "0.2"
async-zmq
>= "0.1.0"
async_extra
< "108.00.02" | = "v0.12.0"
async_find
= "v0.12.0"
async_inotify
= "v0.12.0"
async_sendfile
= "v0.12.0"
async_shell
= "v0.12.0"
async_smtp
= "v0.12.0"
async_ssl
= "v0.12.0"
async_unix
< "108.00.02" | = "v0.12.0"
aws-s3
< "1.1.0" | >= "2.0.0" & < "4.0.0"
bio_io
>= "0.1.2" & < "0.5.1"
bistro
< "0.2.0" | >= "0.5.0"
capnp
>= "3.0.0" & < "3.2.1"
caqti-async
< "1.2.0"
cohttp-async
>= "2.1.1"
command_rpc
= "v0.12.0"
conduit-async
>= "1.2.0" & < "5.1.1"
core_bench
= "v0.12.0"
core_extended
= "v0.12.0"
core_profiler
= "v0.12.0"
cstruct-async
>= "6.1.0"
csvfields
= "v0.12.0"
ecaml
= "v0.12.0"
email_message
= "v0.12.0"
facebook-sdk
>= "0.3.1"
flow
< "0.2"
frenetic
= "2.0.0" | >= "3.1.0" & < "5.0.0"
gnuplot
= "0.5.3"
gpr
>= "1.3.0" & < "1.5.0"
hack_parallel
!= "1.0.0"
horned_worm
>= "0.3.1" & < "0.3.7"
ibx
< "0.5.9" | = "0.7.2" | >= "0.8.0"
libsvm
< "0.9.3"
line-up-words
!= "v0.11.0" & < "v0.13.0"
netsnmp
< "v0.13.0"
ocaml_plugin
= "v0.12.0"
openflow
>= "0.3.0" & < "0.9.0"
opium
< "0.12.0"
osbx
< "1.1.1"
ox
>= "1.1.0"
pam
< "v0.13.0"
patdiff
>= "v0.12.0" & < "v0.13.0"
pg_query
< "0.9.6"
ppx_bitstring
< "1.3.0"
ppx_rapper
< "1.0.1"
pyml_bindgen
= "0.2.0"
riakc
>= "1.0.0"
riakc_ppx
!= "3.1.3"
rpc_parallel
= "v0.12.0"
satyrographos
>= "0.0.1.7" & < "0.0.2.7"
sexp
< "v0.13.0"
shell
< "v0.13.0"
sifun
< "3.0.0"
textutils
= "v0.12.0"
tldr
< "0.3.0"
tube
< "4.1.1"